/*
 *  Licensed Materials - Property of IBM
 *  5725-G92 (C) Copyright IBM Corp. 2006, 2013. All Rights Reserved.
 *  US Government Users Restricted Rights - Use, duplication or
 *  disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 */

package com.AndroidShowNativePage;

import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Button;
import android.widget.EditText;
import android.widget.LinearLayout;
import android.widget.TextView;

public class HelloNative extends Activity {

	EditText editText = null;

	
	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		
		String name = getIntent().getStringExtra("nameParam");
		
		LinearLayout linearLayout = new LinearLayout(this);
		linearLayout.setOrientation(LinearLayout.VERTICAL);
		setContentView(linearLayout);
		
		TextView textView1 = new TextView(this);
		textView1.setText("Name received from JavaScript :: " + name);
		
		TextView textView2 = new TextView(this);
		textView2.setText("Enter the phone number");
		
		editText = new EditText(this);
		editText.setText("1234567890");
		
		Button submitButton = new Button(this);
		submitButton.setText("Return to the Web App");
		submitButton.setOnClickListener(new OnClickListener() {
			
			@Override
			public void onClick(View v) {
				
				String phoneNumber = editText.getText().toString();
				Intent phoneNumberInfo = new Intent();
				phoneNumberInfo.putExtra("phoneNumber", phoneNumber);
				setResult(RESULT_OK, phoneNumberInfo);
				finish();
			}
		});
		
		linearLayout.addView(textView1);
		linearLayout.addView(textView2);
		linearLayout.addView(editText);
		linearLayout.addView(submitButton);
	}
	
}
